Get Privileges Details

Get Privileges Details

Get all Rbac authorization privileges details

Request
URI
POST
https://{api_host}/tca/rbac/api/v1/orgs/{orgId}/privileges/query
COPY
Path Parameters
string
orgId
Required

The identifier of the tenant


Request Body

Filter object.

filter of type(s) application/json
Required
{
    "filter": {
        "id": [
            "string"
        ],
        "roleId": [
            "string"
        ]
    }
}
object
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200
Returns Privileges of type(s) application/json
{
    "items": [
        {
            "id": "string",
            "description": "string",
            "category": "string",
            "accessibleObjects": [
                "string"
            ],
            "includedPrivileges": [
                "string"
            ],
            "suggestedPrivileges": [
                "string"
            ],
            "privilege": "string"
        }
    ]
}
array of object
items
Optional

items


400
Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors